Erstellt von - Uhr

IT-Sicherheit: Linux, UNIX und Windows bedroht - IT-Sicherheitslücke bei PostgreSQL JDBC Driver mit hohem Risiko! Warnung erhält Update

Für PostgreSQL JDBC Driver wurde ein Update zur IT-Sicherheitswarnung einer bekannten Schwachstelle veröffentlicht. Eine Beschreibung der Sicherheitslücke inklusive der neuesten Updates sowie Infos zu den betroffenen Betriebssystemen Linux, UNIX und Windows und Produkten lesen Sie hier.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: Adobe Stock / WhataWin

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 09.07.2024 ein Update zu einer am 19.02.2024 bekanntgewordenen Sicherheitslücke für PostgreSQL JDBC Driver veröffentlicht. Betroffen von der Sicherheitslücke sind die Betriebssysteme Linux, UNIX und Windows sowie die Produkte Debian Linux, Red Hat Enterprise Linux, Fedora Linux, SUSE Linux, Oracle Linux, IBM QRadar SIEM, IBM Storage Scale, Red Hat OpenShift, RESF Rocky Linux, Open Source PostgreSQL, Atlassian Bamboo und Open Source Camunda.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: Red Hat Security Advisory RHSA-2024:4402 (Stand: 09.07.2024). Weitere nützliche Quellen werden weiter unten in diesem Artikel aufgeführt.

Sicherheitshinweis für PostgreSQL JDBC Driver - Risiko: hoch

Risikostufe: 4 (hoch)
CVSS Base Score: 10,0
CVSS Temporal Score: 8,7
Remoteangriff: Ja

Zur Einschätzung des Schweregrads von Sicherheitsanfälligkeiten in Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Kriterien miteinander zu vergleichen, um Gegenmaßnahmen besser priorisieren zu können. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Beim Temporal Score fließen über die Zeit veränderbare Rahmenbedingungen in die Bewertung ein. Der Schweregrad der aktuellen Schwachstelle wird nach dem CVSS mit einem Base Score von 10,0 als "hoch" eingestuft.

PostgreSQL JDBC Driver Bug: Schwachstelle ermöglicht SQL-Injection

PostgreSQL ist eine frei verfügbare Datenbank für unterschiedliche Betriebssysteme.

Ein entfernter, anonymer Angreifer kann eine Schwachstelle in PostgreSQL JDBC Driver ausnutzen, um eine SQL-Injection durchzuführen.

Die Verwundbarkeit wird mit der eindeutigen CVE-Identifikationsnummer (Common Vulnerabilities and Exposures) CVE-2024-1597 gehandelt.

Von der Sicherheitslücke betroffene Systeme im Überblick

Betriebssysteme
Linux, UNIX, Windows

Produkte
Debian Linux (cpe:/o:debian:debian_linux)
Red Hat Enterprise Linux (cpe:/o:redhat:enterprise_linux)
Fedora Linux (cpe:/o:fedoraproject:fedora)
SUSE Linux (cpe:/o:suse:suse_linux)
Oracle Linux (cpe:/o:oracle:linux)
IBM QRadar SIEM 7.5 (cpe:/a:ibm:qradar_siem)
IBM Storage Scale 5.1.x (cpe:/a:ibm:spectrum_scale)
Red Hat OpenShift Container Platform 4.10 (cpe:/a:redhat:openshift)
Red Hat OpenShift Container Platform 4.11 (cpe:/a:redhat:openshift)
Red Hat OpenShift Container Platform 4.12 (cpe:/a:redhat:openshift)
RESF Rocky Linux (cpe:/o:resf:rocky_linux)
Open Source PostgreSQL JDBC Driver <42.7.2 (cpe:/a:postgresql:postgresql)
Open Source PostgreSQL JDBC Driver <42.6.1 (cpe:/a:postgresql:postgresql)
Open Source PostgreSQL JDBC Driver <42.5.5 (cpe:/a:postgresql:postgresql)
Open Source PostgreSQL JDBC Driver <42.4.4 (cpe:/a:postgresql:postgresql)
Open Source PostgreSQL JDBC Driver <42.2.8 (cpe:/a:postgresql:postgresql)
Open Source PostgreSQL JDBC Driver <42.3.9 (cpe:/a:postgresql:postgresql)
Atlassian Bamboo <9.5.2 (cpe:/a:atlassian:bamboo)
Atlassian Bamboo <9.2.12 (cpe:/a:atlassian:bamboo)
Atlassian Bamboo <9.4.4 (cpe:/a:atlassian:bamboo)
Red Hat Enterprise Linux Quarkus 3.2.11 (cpe:/o:redhat:enterprise_linux)
Red Hat OpenShift Container Platform 4.9 (cpe:/a:redhat:openshift)
Open Source Camunda <7.19.12 (cpe:/a:camunda:camunda)
Open Source Camunda <7.20.5 (cpe:/a:camunda:camunda)
Open Source Camunda <7.21.0-alpha3 (cpe:/a:camunda:camunda)

Allgemeine Maßnahmen zum Umgang mit IT-Schwachstellen

  1. Anwender der betroffenen Anwendungen sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten neue Sicherheitsupdates verfügbar sein, installieren Sie diese zeitnah.
  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.
  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Quellen zu Updates, Patches und Workarounds

An dieser Stelle befinden sich weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

Red Hat Security Advisory RHSA-2024:4402 vom 2024-07-09 (09.07.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:4402

Red Hat Security Advisory RHSA-2024:4375 vom 2024-07-08 (08.07.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:4375

Red Hat Security Advisory RHSA-2024:4057 vom 2024-06-24 (23.06.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:4057

Red Hat Security Advisory RHSA-2024:3313 vom 2024-05-23 (22.05.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:3313

IBM Security Bulletin 7152260 vom 2024-05-15 (14.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7152260

Rocky Linux Security Advisory RLSA-2024:1436 vom 2024-05-10 (12.05.2024)
Weitere Informationen finden Sie unter: https://errata.build.resf.org/RLSA-2024:1436

Debian Security Advisory DLA-3812 vom 2024-05-10 (09.05.2024)
Weitere Informationen finden Sie unter: https://lists.debian.org/debian-lts-announce/2024/05/msg00007.html

IBM Security Bulletin 7150357 vom 2024-05-07 (06.05.2024)
Weitere Informationen finden Sie unter: https://www.ibm.com/support/pages/node/7150357

Camunda Security Notices vom 2024-05-03 (05.05.2024)
Weitere Informationen finden Sie unter: https://docs.camunda.org/security/notices/

Red Hat Security Advisory RHSA-2024:2624 vom 2024-04-30 (01.05.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:2624

Red Hat Security Advisory RHSA-2024:1999 vom 2024-04-23 (23.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1999

Red Hat Security Advisory RHSA-2024:1797 vom 2024-04-22 (22.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1797

Red Hat Security Advisory RHSA-2024:1686 vom 2024-04-04 (04.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1686

Red Hat Security Advisory RHSA-2024:1662 vom 2024-04-03 (03.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1662

Red Hat Security Advisory RHSA-2024:1649 vom 2024-04-02 (02.04.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1649

Rocky Linux Security Advisory RLSA-2024:1435 vom 2024-03-27 (26.03.2024)
Weitere Informationen finden Sie unter: https://errata.build.resf.org/RLSA-2024:1435

Oracle Linux Security Advisory ELSA-2024-1435 vom 2024-03-22 (21.03.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1435.html

Oracle Linux Security Advisory ELSA-2024-1436 vom 2024-03-20 (20.03.2024)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2024-1436.html

Red Hat Security Advisory RHSA-2024:1436 vom 2024-03-20 (19.03.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1436

Atlassian Security Advisory (19.03.2024)
Weitere Informationen finden Sie unter: https://jira.atlassian.com/browse/BAM-25716

Red Hat Security Advisory RHSA-2024:1435 vom 2024-03-20 (19.03.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:1435

Fedora Security Advisory FEDORA-2024-ED884C3203 vom 2024-03-18 (18.03.2024)
Weitere Informationen finden Sie unter: https://bodhi.fedoraproject.org/updates/FEDORA-2024-ed884c3203

SUSE Security Update SUSE-SU-2024:0771-1 vom 2024-03-05 (05.03.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-March/018096.html

SUSE Security Update SUSE-SU-2024:0773-1 vom 2024-03-05 (05.03.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-March/018094.html

SUSE Security Update SUSE-SU-2024:0769-1 vom 2024-03-05 (05.03.2024)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2024-March/018098.html

GitHub Advisory Database vom 2024-02-19 (19.02.2024)
Weitere Informationen finden Sie unter: https://github.com/advisories/GHSA-xfg6-62px-cxc2

NIST Vulnerability Database vom 2024-02-19 (19.02.2024)
Weitere Informationen finden Sie unter: https://nvd.nist.gov/vuln/detail/CVE-2024-1597

Versionshistorie dieser Sicherheitswarnung

Dies ist die 23. Version des vorliegenden IT-Sicherheitshinweises für PostgreSQL JDBC Driver. Sollten weitere Updates bekanntgegeben werden, wird dieser Text aktualisiert. Die vorgenommenen Änderungen können Sie anhand der folgenden Versionshistorie nachvollziehen.

19.02.2024 - Initiale Fassung
05.03.2024 - Neue Updates von SUSE aufgenommen
18.03.2024 - Neue Updates von Fedora aufgenommen
19.03.2024 - Neue Updates von Red Hat und Atlassian aufgenommen
20.03.2024 - Neue Updates von Oracle Linux aufgenommen
21.03.2024 - Neue Updates von Oracle Linux aufgenommen
26.03.2024 - Neue Updates von Rocky Enterprise Software Foundation aufgenommen
02.04.2024 - Neue Updates von Red Hat aufgenommen
03.04.2024 - Neue Updates von Red Hat aufgenommen
04.04.2024 - Neue Updates von Red Hat aufgenommen
22.04.2024 - Neue Updates von Red Hat aufgenommen
23.04.2024 - Neue Updates von Red Hat aufgenommen
01.05.2024 - Neue Updates von Red Hat aufgenommen
05.05.2024 - Neue Updates aufgenommen
06.05.2024 - Neue Updates von IBM aufgenommen
09.05.2024 - Neue Updates von Debian aufgenommen
12.05.2024 - Neue Updates von Rocky Enterprise Software Foundation aufgenommen
14.05.2024 - Neue Updates von IBM aufgenommen
22.05.2024 - Neue Updates von Red Hat aufgenommen
06.06.2024 - Korrektur
23.06.2024 - Neue Updates von Red Hat aufgenommen
08.07.2024 - Neue Updates von Red Hat aufgenommen
09.07.2024 - Neue Updates von Red Hat aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten generiert und wird je nach Warnlage datengetrieben aktualisiert. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

/roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.